# OpalInternalIPTransport Class Reference

`#include <transports.h>`

Inheritance diagram for OpalInternalIPTransport:

List of all members.

## Public Member Functions

virtual PString | GetHostName (const OpalTransportAddress &address) const
virtual PBoolean | GetIpAndPort (const OpalTransportAddress &address, PIPSocket::Address &ip, WORD &port) const

## Static Public Member Functions

static PBoolean | GetAdjustedIpAndPort (const OpalTransportAddress &address, OpalEndPoint &endpoint, OpalTransportAddress::BindOptions option, PIPSocket::Address &ip, WORD &port, PBoolean &reuseAddr)

## Member Function Documentation

virtual PString OpalInternalIPTransport::GetHostName | ( | const OpalTransportAddress & | address | ) | const`[virtual]`

Reimplemented from OpalInternalTransport.

virtual PBoolean OpalInternalIPTransport::GetIpAndPort | ( | const OpalTransportAddress & | address,
|  | PIPSocket::Address & | ip,
|  | WORD & | port |
| ) |  |  | const`[virtual]`

Reimplemented from OpalInternalTransport.

static PBoolean OpalInternalIPTransport::GetAdjustedIpAndPort | ( | const OpalTransportAddress & | address,
|  | OpalEndPoint & | endpoint,
|  | OpalTransportAddress::BindOptions | option,
|  | PIPSocket::Address & | ip,
|  | WORD & | port,
|  | PBoolean & | reuseAddr |
| ) |  |  | `[static]`

The documentation for this class was generated from the following file:

- transports.h